![modrinth badge](https://modrinth-utils.vercel.app/api/badge/downloads?logo=true&style=flat&id=JW9YUcl3)
![curseforge_badge](https://cf.way2muchnoise.eu/661156.svg)

[Modrinth](https://modrinth.com/mod/fabrihud/) | [CurseForge](https://www.curseforge.com/minecraft/mc-mods/fabrihud)

### Requirements
- Minecraft `>1.19.2`
- [Fabric Loader](https://fabricmc.net/) `>0.14.8` or the equivalent [Quilt](https://quiltmc.org/) version
- [ModMenu](https://github.com/TerraformersMC/ModMenu) `>4.0.0`  
- [Fabric Language Kotlin](https://github.com/FabricMC/fabric-language-kotlin) `>1.8.3`

Though not strictly required, ModMenu is the only way to access the configuration UI.  

### Elements 
FabriHUD provides a variety of HUD "elements" These include:
- In-game time 
- Player Coordinates
- Server Latency (Ping)
- FPS 
- Current Biome  
- Ambient Light
  
It's pretty easy to add more, so if you want something custom, chances are I'd be willing to add it (within reason though).  
  
#### Customizability 
Each element can be toggled on and off and positioned independently wherever you want.   

#### Overrides 
"Overrides" allow you to further customize the output, including colors, base text, and more.   
More information about element overrides can be found [here](https://github.com/trainb0y/FabriHUD/blob/main/Overrides.md).  

### Future Plans
- MSPT Element? (avg/min/max)
- TPS Element?
- Look into overrides with colors making the text entries act up
- Make element positions scale with GUI scale
- Customize vanilla HUD?

### Contributions 
All contributions are welcome, including translations. The source code is licensed under MIT.  
If you have a feature request or run into an issue, please report it on the [GitHub](https://giithub.com/trainb0y/FabriHUD). For help join [the Discord](https://discord.gg/PPCvtMTXvP).  

Thanks to [Configurate](https://github.com/SpongePowered/Configurate) and [SpruceUI](https://github.com/LambdAurora/SpruceUI) for the exellent libraries.
#### Disclaimer: This is my first real attempt at making a mod, so I make no promises to code quality and best practices. However, if issues arise I'll do my best to fix them.

### Links
[![~fabric~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/fabric_64h.png)](https://modrinth.com/mod/fabrihud/)
[![~quilt~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/quilt_64h.png)](https://modrinth.com/mod/fabrihud/)
[![~modrinth~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/modrinth_64h.png)](https://modrinth.com/mod/fabrihud/)
[![~curseforge~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/curseforge_64h.png)](https://www.curseforge.com/minecraft/mc-mods/fabrihud)
[![~discord~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/discord_64h.png)](https://discord.gg/PPCvtMTXvP)
[![~github~](https://raw.githubusercontent.com/intergrav/devins-badges/main/badges/github-repository_64h.png)](https://github.com/trainb0y/fabrihud)

### Screenshots
![Default HUD Elements](https://cdn.modrinth.com/data/JW9YUcl3/images/d5b475951f018133b9ef2e36f53086fd0386bee6.png)
![A little more crazy](https://cdn.modrinth.com/data/JW9YUcl3/images/48b124c03634e79ac630bf9143e6d0f8dc09d297.png)
